import * as react_jsx_runtime_js from 'react/jsx-runtime.js';
import { MDXComponents } from '@mdx-js/react/lib';

declare function RemoteContent({ scope, components }: {
    /**
     * An object mapping names to React components.
     * The key used will be the name accessible to MDX.
     *
     * For example: `{ ComponentName: Component }` will be accessible in the MDX as `<ComponentName/>`.
     */
    components?: MDXComponents;
    /**
     * Pass-through variables for use in the MDX content
     */
    scope?: Record<string, unknown>;
}): react_jsx_runtime_js.JSX.Element;
declare namespace RemoteContent {
    var useTOC: (props: Record<string, unknown>) => any;
}

export { RemoteContent };
