import { jsx } from "react/jsx-runtime";
import { useData } from "../hooks/index.js";
import { jsxRuntime } from "../jsx-runtime.cjs";
import { useMDXComponents } from "../mdx.js";
function evaluate(compiledSource, scope = {}) {
  const keys = Object.keys(scope);
  const values = Object.values(scope);
  const hydrateFn = Reflect.construct(Function, ["$", ...keys, compiledSource]);
  return hydrateFn({ useMDXComponents, ...jsxRuntime }, ...values);
}
function RemoteContent({
  scope,
  components
}) {
  const compiledSource = useData("__nextra_dynamic_mdx");
  if (!compiledSource) {
    throw new Error(
      "RemoteContent must be used together with the `buildDynamicMDX` API"
    );
  }
  const { default: MDXContent } = evaluate(compiledSource, scope);
  return /* @__PURE__ */ jsx(MDXContent, { components });
}
RemoteContent.useTOC = (props) => {
  const compiledSource = useData("__nextra_dynamic_mdx");
  const { useTOC } = evaluate(compiledSource);
  return useTOC(props);
};
export {
  RemoteContent
};
