import { useMDXComponents as originalUseMDXComponents } from "@mdx-js/react";
import Image from "next/image";
import { createElement } from "react";
const DEFAULT_COMPONENTS = {
  img: (props) => createElement(
    typeof props.src === "object" ? Image : "img",
    props
  )
};
const useMDXComponents = (components) => {
  return originalUseMDXComponents({
    ...DEFAULT_COMPONENTS,
    ...components
  });
};
import { MDXProvider } from "@mdx-js/react";
export {
  MDXProvider,
  useMDXComponents
};
