import { c as Meta, P as PageMapItem, e as MetaJsonFile, F as Folder, M as MdxFile } from '../types-ySMmSloI.js';
export { removeLinks } from './remove-links.js';
import 'mdast';
import 'next';
import 'react';
import 'zod';
import '../constants.js';
import './lib/index.js';
import 'rehype-katex/lib';
import 'better-react-mathjax';
import 'rehype-pretty-code';

declare function normalizeMeta(meta: Meta): Exclude<Meta, string>;
declare function isMeta(item: PageMapItem): item is MetaJsonFile;
declare function isFolder(item: PageMapItem): item is Folder;
declare function isMdxFile(item: PageMapItem): item is MdxFile;

export { isFolder, isMdxFile, isMeta, normalizeMeta };
