import { Root } from 'hast';
import { Plugin } from './lib/index.js';
import { l as MathJaxOptions } from '../../types-ySMmSloI.js';
import 'mdast';
import 'next';
import 'react';
import 'zod';
import '../../constants.js';
import 'rehype-katex/lib';
import 'better-react-mathjax';
import 'rehype-pretty-code';

/**
 * Wraps math in a `<MathJax>` component so that it can be rendered by `better-react-mathjax`.
 */
declare const rehypeBetterReactMathjax: Plugin<[
    Opts: MathJaxOptions,
    isRemoteContent: boolean
], Root>;

export { rehypeBetterReactMathjax };
