import { visit } from "unist-util-visit";
import { EXTERNAL_URL_REGEX } from "../constants.js";
const remarkLinkRewrite = ({ pattern, replace, excludeExternalLinks }) => (ast) => {
  visit(ast, "link", (node) => {
    if (!(excludeExternalLinks && EXTERNAL_URL_REGEX.test(node.url))) {
      node.url = node.url.replace(pattern, replace);
    }
  });
};
export {
  remarkLinkRewrite
};
