import { compileMdx } from './compile.js';
import '@mdx-js/mdx';
import '../types-ySMmSloI.js';
import 'mdast';
import 'next';
import 'react';
import 'zod';
import '../constants.js';
import './lib/index.js';
import 'rehype-katex/lib';
import 'better-react-mathjax';
import 'rehype-pretty-code';

declare function buildDynamicMDX(content: string, compileMdxOptions: Parameters<typeof compileMdx>[1]): Promise<{
    __nextra_dynamic_mdx: any;
    __nextra_dynamic_opts: {
        frontMatter: any;
        title: any;
    };
}>;
declare function buildDynamicMeta(locale?: string): Promise<{
    __nextra_pageMap: PageMapItem[];
}>;

export { buildDynamicMDX, buildDynamicMeta };
