import { ArrayExpression, ObjectExpression, Expression, ExportNamedDeclaration } from 'estree';
import { M as MdxFile, F as Folder } from '../types-ySMmSloI.js';
import 'mdast';
import 'next';
import 'react';
import 'zod';
import '../constants.js';
import './lib/index.js';
import 'rehype-katex/lib';
import 'better-react-mathjax';
import 'rehype-pretty-code';

type Truthy<T> = T extends false | '' | 0 | null | undefined ? never : T;
declare function truthy<T>(value: T): value is Truthy<T>;
declare const logger: {
    info: (...args: any[]) => void;
    warn: (...args: any[]) => void;
    error: (...args: any[]) => void;
};
declare function pageTitleFromFilename(fileName: string): any;
declare function sortPages(pages: (Omit<MdxFile, 'route'> | Omit<Folder, 'route' | 'children'>)[], locale?: string): [string, string][];
declare function normalizePageRoute(parentRoute: string, route: string): string;
declare function createAstExportConst(name: string, value: ArrayExpression | ObjectExpression | Expression): ExportNamedDeclaration;
declare function createAstObject(obj: Record<string, string | number | boolean | null | Expression>): ObjectExpression;

export { createAstExportConst, createAstObject, logger, normalizePageRoute, pageTitleFromFilename, sortPages, truthy };
